# $Revision: 1.36 $, $Date: 2004/08/04 06:23:34 $
Summary:	Program that shows nice ascii logo
Summary(es):	Tux en ASCII (Pingino del Linux)
Summary(pl):	Program pokazujcy adne logo Linuksa w ASCII
Summary(pt_BR):	Tux em ASCII (Pingim do Linux)
Name:		linux_logo
Version:	4.09
Release:	3
License:	GPL
Group:		Applications/Terminal
Source0:	http://www.deater.net/weave/vmwprod/linux_logo/%{name}-%{version}.tar.gz
# Source0-md5:	ba970437da602e1dbb4c244303793cd6
Patch0:		%{name}-pld.patch
Patch1:		%{name}-quote_logo_backslashes.patch
Patch2:		%{name}-bogus_locale.patch
Patch3:		%{name}-po.patch
URL:		http://www.deater.net/weave/vmwprod/linux_logo/
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
linux_logo shows a logo in ASCII with some system information.

%description -l es
Este paquete contiene el tux, pingino mascota del Linux.

%description -l pl
linux_logo pokazuje logo Linuksa w ASCII wraz z pewnymi informacjami o
systemie (wersja kernela, rodzaj procesora itp.). wietnie nadaje si
jako generator ekranw powitalnych przed zalogowaniem si uytkownika.

%description -l pt_BR
Este pacote contm o tux, pingim mascote do Linux.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

mv -f po/{dk,da}.po
mv -f po/{ua,uk}.po

%build
%{__make} \
	CC="%{__cc}" \
	C_OPTS="%{rpmcflags} -DLINUX_ANSI -I./libsysinfo" \
	C_FLAGS="%{rpmcflags} -Wall -I. -I.. -I../include"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install linux_logo $RPM_BUILD_ROOT%{_bindir}
gzip -d linux_logo.1.gz
install	linux_logo.1 $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} -C po install \
	INSTALLDIR=$RPM_BUILD_ROOT%{_datadir}/locale

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ANNOUNCE.logo BUGS CHANGES LINUX_LOGO.FAQ README
%doc README.CUSTOM_LOGOS TODO USAGE
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: linux_logo.spec,v $
Revision 1.36  2004/08/04 06:23:34  ankry
- i18n fixes (-po patch), rel. 3

Revision 1.35  2004/07/23 22:05:48  ankry
- fixed bogus locale, rel. 2

Revision 1.34  2004/03/30 20:19:59  jpc
- fixed URL

Revision 1.33  2004/03/30 19:29:57  qboosh
- updated to 4.09, removed obsolete line_end_fix patch

Revision 1.32  2004/03/14 17:26:08  qboosh
- release 2 for Ac

Revision 1.31  2003/12/09 00:22:18  zytek
- linux_logo-line_end_fix.patch from Tomasz Kowalczyk <kowalczt@ee.pw.edu.pl>

Revision 1.30  2003/05/28 12:59:37  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 05:50:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/02/15 21:16:21  misi3k
- updated to 4.07

Revision 1.27  2002/08/29 19:11:03  qboosh
- use optflags for all *.c files, release 2

Revision 1.26  2002/08/28 12:08:36  krolik
- updated to 4.05 version

Revision 1.25  2002/08/24 18:54:14  kloczek
- updated to 4.04: bugfixes,
- use new %doc.

Revision 1.24  2002/05/09 06:04:51  kloczek
- updated to 4.02.

Revision 1.23  2002/03/01 15:45:04  bonkey
- install a man page into man dir, not a binary file :)
- release: 2

Revision 1.22  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/18 01:01:06  kloczek
- updated to 4.01.

Revision 1.20  2002/01/30 23:03:52  qboosh
- release 3: removed manual (2nd copy) and .lsm file from %%doc

Revision 1.19  2002/01/24 22:23:30  qboosh
- updated pld patch: s/Polish(ed)/PLD/
- cosmetics
- release 2

Revision 1.18  2002/01/24 06:06:50  kloczek
- merge translations from Conectiva.

Revision 1.17  2002/01/22 20:55:04  mkochano
- Updated to 3.9b5 and added quote_logo_backslashes.patch

Revision 1.16  2002/01/18 02:13:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/04/12 18:19:57  kloczek
- final clean (many changes).

Revision 1.14  2001/03/27 11:30:33  mguevara
- prepared to the new version (3.9b2) - should work correctly with
  AMD Athlon/Duron cpus
- activated some more logos (debian, suse, irix, aix)
- changes in src structure - logos are in separate files in logos
  directory

Revision 1.12  2000/05/04 04:18:36  kloczek
- spec adapterized and some cosmetics.

Revision 1.11  2000/04/26 05:56:10  wiget
3.05

Revision 1.10  2000/04/26 00:57:59  michuz
- updated to 3.04
- added PLD logo
